View Issue Details

IDProjectCategoryView StatusLast Update
0001052OpenMPT[All Projects] Generalpublic2018-12-23 13:23
ReportermanxAssigned Tomanx 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionOpenMPT 1.28.01.00 / libopenmpt 0.4.0 (upgrade first) 
Summary0001052: Make mpt::byte compatible with C++17 std::byte
Description

Make mpt::byte compatible with C++17 std::byte
This in particular requires:

  • adjusting the typedef uint8 to an enum class
  • implementing bit operators on that enum class
  • adding some conversions between mpt::byte and uint8, as std::byte cannot be used for general integral calculations
TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

manx

manx

2017-12-28 18:36

administrator   ~0003386

Implemented in r9282 and r9285 .

Issue History

Date Modified Username Field Change
2017-10-26 10:21 manx New Issue
2017-10-26 10:21 manx Status new => assigned
2017-10-26 10:21 manx Assigned To => manx
2017-12-28 18:36 manx Status assigned => resolved
2017-12-28 18:36 manx Resolution open => fixed
2017-12-28 18:36 manx Fixed in Version => libopenmpt 0.4 (goals)
2017-12-28 18:36 manx Note Added: 0003386
2018-12-23 13:23 Saga Musix Fixed in Version libopenmpt 0.4 (goals) => OpenMPT 1.28.01.00 / libopenmpt 0.4.0 (upgrade first)